# Interface AttributeRow

interface AttributeRow {
attributeId?: string;
isInheritable?: boolean;
name: string;
noteId?: string;
position?: null | number;
type: AttributeType;
utcDateModified?: string;
value?: string;
}

- Defined in becca/entities/rows.ts:76

#####
Index

### Properties

attributeId?
isInheritable?
name
noteId?
position?
type
utcDateModified?
value?

##
Properties

### `Optional` attributeId

attributeId?: string

- Defined in becca/entities/rows.ts:77

### `Optional` isInheritable

isInheritable?: boolean

- Defined in becca/entities/rows.ts:83

### name

name: string

- Defined in becca/entities/rows.ts:80

### `Optional` noteId

noteId?: string

- Defined in becca/entities/rows.ts:78

### `Optional` position

position?: null | number

- Defined in becca/entities/rows.ts:81

### type

type: AttributeType

- Defined in becca/entities/rows.ts:79

### `Optional` utcDateModified

utcDateModified?: string

- Defined in becca/entities/rows.ts:84

### `Optional` value

value?: string

- Defined in becca/entities/rows.ts:82